> ## Documentation Index
> Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clarity Portfolio Intelligence

> Get portfolio intelligence for the current team



## OpenAPI

````yaml /api-reference/openapi.json get /v2/teams/{teamId}/clarity/portfolio-intelligence
openapi: 3.0.3
info:
  title: Duvo Public API
  description: >-
    Public API for programmatic access to Duvo. Authenticate with API keys
    created in the Duvo dashboard.
  version: 1.0.0
servers:
  - url: https://api.duvo.ai
    description: Production server
security: []
tags:
  - name: Runs
    description: Start, monitor, and manage agent runs (Runs in the Duvo UI)
  - name: Sandboxes
    description: Create sandboxes and upload files for agent runs
  - name: Queues
    description: Manage queues and their agent bindings
  - name: Cases
    description: Create, list, and manage cases and their labels within queues
  - name: Case Approvals
    description: Submit decisions on pending case approval requests issued by an agent run
  - name: Agents
    description: Create and manage agents for automation workloads
  - name: Revisions
    description: Create and manage agent revisions — the underlying Setup for an Agent
  - name: Agent Folders
    description: Organize agents into folders
  - name: Agent Memory
    description: Read an agent's memory files (the Memory feature in the Duvo UI)
  - name: Suggestions
    description: >-
      List, apply, and dismiss an Agent's improvement suggestions (the
      suggestions inbox in the Duvo UI)
  - name: Notifications
    description: >-
      List, read, dismiss, and clear the authenticated user's team notifications
      (the Notification Center in the Duvo UI)
  - name: Schedules
    description: List schedules configured for an agent
  - name: Duvo Pulse
    description: >-
      Create, list, iterate on, and delete Duvo Pulse dashboards — live,
      agent-generated visualizations of your Duvo data
  - name: Case Triggers
    description: >-
      Configure case triggers that automatically dispatch agent runs (Runs in
      the Duvo UI) for cases added to a queue
  - name: Triggers
    description: >-
      Configure event triggers that start a Run automatically when an external
      event fires (e.g. an email arrives, a Linear issue is created, or a file
      changes in Google Drive)
  - name: Skills
    description: Manage team and system skills (reusable knowledge packs).
  - name: Files
    description: Manage team files.
  - name: Plugins
    description: Discover plugins that can be referenced from a revision.
  - name: Organizations
    description: Inspect organizations you belong to and the teams within them
  - name: Team
    description: Inspect the team and members associated with the API key
  - name: Invites
    description: >-
      Invite people to a team — one at a time or in bulk, scoped to a Clarity
      process or the whole team — and manage the team's shareable invite link
  - name: Integrations
    description: Browse the team's catalog of available integration types
  - name: Connections
    description: Manage your connected integrations
  - name: Credentials
    description: >-
      Manage logins (domain + username + password + TOTP) used by agents to sign
      in to websites and desktop applications, and attach them to assignment
      revisions
  - name: Secrets
    description: >-
      Manage env-var secrets injected into runs, and attach them to assignment
      revisions. Only metadata is exposed; values are never returned
  - name: Revision Integrations
    description: >-
      Attach integrations to assignment revisions, pin specific connections, and
      link queues
  - name: ClarityV2
    description: >-
      Manage Clarity v2 process snapshots, transformation proposals, and the
      extra-capture-request follow-up loop
paths:
  /v2/teams/{teamId}/clarity/portfolio-intelligence:
    get:
      tags:
        - Clarity
      summary: Get Clarity Portfolio Intelligence
      description: Get portfolio intelligence for the current team
      operationId: getClarityPortfolioIntelligence
      parameters:
        - name: teamId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - idle
                      - generating
                      - complete
                      - generation_failed
                  generationError:
                    nullable: true
                    type: string
                  analysis:
                    nullable: true
                    type: object
                    properties:
                      executiveSummary:
                        type: string
                        minLength: 1
                      valueStreams:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              minLength: 1
                            description:
                              type: string
                              minLength: 1
                            currentPainPoints:
                              type: array
                              items:
                                type: string
                            targetOutcome:
                              type: string
                              minLength: 1
                            kpis:
                              type: array
                              items:
                                type: string
                            gap:
                              default: null
                              nullable: true
                              type: string
                            benefits:
                              default: null
                              nullable: true
                              minItems: 1
                              type: array
                              items:
                                type: object
                                properties:
                                  statement:
                                    type: string
                                    minLength: 1
                                  basis:
                                    type: string
                                    enum:
                                      - evidenced
                                      - estimate
                                  assumption:
                                    nullable: true
                                    type: string
                                  dataToFirmUp:
                                    nullable: true
                                    type: string
                                required:
                                  - statement
                                  - basis
                                  - assumption
                                  - dataToFirmUp
                                additionalProperties: false
                          required:
                            - name
                            - description
                            - currentPainPoints
                            - targetOutcome
                            - kpis
                            - gap
                            - benefits
                          additionalProperties: false
                      organizationAndGovernance:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            element:
                              type: string
                              minLength: 1
                            description:
                              type: string
                              minLength: 1
                          required:
                            - element
                            - description
                          additionalProperties: false
                      peopleAndSkills:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            area:
                              type: string
                              minLength: 1
                            fromState:
                              type: string
                              minLength: 1
                            toState:
                              type: string
                              minLength: 1
                            action:
                              type: string
                              minLength: 1
                          required:
                            - area
                            - fromState
                            - toState
                            - action
                          additionalProperties: false
                      technologyDataAndAI:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            layer:
                              type: string
                              minLength: 1
                            description:
                              type: string
                              minLength: 1
                          required:
                            - layer
                            - description
                          additionalProperties: false
                      humanAiExecutionModel:
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            valueStream:
                              type: string
                              minLength: 1
                            executionMode:
                              type: string
                              enum:
                                - human-led
                                - hybrid
                                - agent-led
                            agentResponsibilities:
                              type: array
                              items:
                                type: string
                            humanResponsibilities:
                              type: array
                              items:
                                type: string
                            oversightAndEscalation:
                              type: string
                              minLength: 1
                          required:
                            - valueStream
                            - executionMode
                            - agentResponsibilities
                            - humanResponsibilities
                            - oversightAndEscalation
                          additionalProperties: false
                      transformationRoadmap:
                        minItems: 3
                        maxItems: 3
                        type: array
                        items:
                          type: object
                          properties:
                            wave:
                              type: integer
                              minimum: 1
                              maximum: 3
                            name:
                              type: string
                              minLength: 1
                            horizon:
                              type: string
                              minLength: 1
                            objectives:
                              type: array
                              items:
                                type: string
                            milestones:
                              type: array
                              items:
                                type: string
                            dependencies:
                              type: array
                              items:
                                type: string
                          required:
                            - wave
                            - name
                            - horizon
                            - objectives
                            - milestones
                            - dependencies
                          additionalProperties: false
                      transformationPriorities:
                        default: null
                        nullable: true
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            rank:
                              type: integer
                              minimum: 1
                              maximum: 9007199254740991
                            name:
                              type: string
                              minLength: 1
                            processIds:
                              minItems: 1
                              type: array
                              items:
                                type: string
                                format: uuid
                            rationale:
                              type: string
                              minLength: 1
                            impact:
                              type: string
                              enum:
                                - low
                                - medium
                                - high
                            effort:
                              type: string
                              enum:
                                - low
                                - medium
                                - high
                            readiness:
                              type: string
                              enum:
                                - low
                                - medium
                                - high
                            confidence:
                              type: string
                              enum:
                                - low
                                - medium
                                - high
                            quickWin:
                              type: boolean
                            whyThisApproach:
                              default: null
                              nullable: true
                              type: string
                          required:
                            - rank
                            - name
                            - processIds
                            - rationale
                            - impact
                            - effort
                            - readiness
                            - confidence
                            - quickWin
                            - whyThisApproach
                          additionalProperties: false
                      erpTransformationInsights:
                        default: null
                        nullable: true
                        type: object
                        properties:
                          overview:
                            type: string
                            minLength: 1
                          erpSystemsIdentified:
                            type: array
                            items:
                              type: string
                          gaps:
                            minItems: 1
                            type: array
                            items:
                              type: object
                              properties:
                                dimension:
                                  type: string
                                  enum:
                                    - processes
                                    - extensibility
                                    - data
                                    - integrations
                                    - operations
                                title:
                                  type: string
                                  minLength: 1
                                currentState:
                                  type: string
                                  minLength: 1
                                businessImpact:
                                  type: string
                                  minLength: 1
                                disposition:
                                  type: string
                                  enum:
                                    - retire
                                    - adopt-standard
                                    - extend-clean
                                    - automate-around-core
                                recommendation:
                                  type: string
                                  minLength: 1
                                processIds:
                                  minItems: 1
                                  type: array
                                  items:
                                    type: string
                                    format: uuid
                                duvoAutomation:
                                  default: null
                                  nullable: true
                                  type: string
                              required:
                                - dimension
                                - title
                                - currentState
                                - businessImpact
                                - disposition
                                - recommendation
                                - processIds
                                - duvoAutomation
                              additionalProperties: false
                          sapCleanCoreAssessment:
                            nullable: true
                            type: object
                            properties:
                              summary:
                                type: string
                                minLength: 1
                              findings:
                                minItems: 1
                                type: array
                                items:
                                  type: object
                                  properties:
                                    dimension:
                                      type: string
                                      enum:
                                        - processes
                                        - extensibility
                                        - data
                                        - integrations
                                        - operations
                                    title:
                                      type: string
                                      minLength: 1
                                    currentState:
                                      type: string
                                      minLength: 1
                                    businessImpact:
                                      type: string
                                      minLength: 1
                                    disposition:
                                      type: string
                                      enum:
                                        - retire
                                        - adopt-standard
                                        - extend-clean
                                        - automate-around-core
                                    recommendation:
                                      type: string
                                      minLength: 1
                                    processIds:
                                      minItems: 1
                                      type: array
                                      items:
                                        type: string
                                        format: uuid
                                    duvoAutomation:
                                      default: null
                                      nullable: true
                                      type: string
                                  required:
                                    - dimension
                                    - title
                                    - currentState
                                    - businessImpact
                                    - disposition
                                    - recommendation
                                    - processIds
                                    - duvoAutomation
                                  additionalProperties: false
                              mode:
                                default: assessment
                                type: string
                                enum:
                                  - assessment
                                  - readiness
                              advantageVsToday:
                                default: null
                                nullable: true
                                type: string
                            required:
                              - summary
                              - findings
                              - mode
                              - advantageVsToday
                            additionalProperties: false
                        required:
                          - overview
                          - erpSystemsIdentified
                          - gaps
                          - sapCleanCoreAssessment
                        additionalProperties: false
                      objectionsAndChangeManagement:
                        default: null
                        nullable: true
                        type: object
                        properties:
                          objections:
                            minItems: 1
                            type: array
                            items:
                              type: object
                              properties:
                                objection:
                                  type: string
                                  minLength: 1
                                whoRaisesIt:
                                  type: string
                                  minLength: 1
                                counterArgument:
                                  type: string
                                  minLength: 1
                                evidenceFromProcesses:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - objection
                                - whoRaisesIt
                                - counterArgument
                                - evidenceFromProcesses
                              additionalProperties: false
                          changeStory:
                            type: string
                            minLength: 1
                          sellingPoints:
                            minItems: 1
                            type: array
                            items:
                              type: string
                        required:
                          - objections
                          - changeStory
                          - sellingPoints
                        additionalProperties: false
                      businessCase:
                        nullable: true
                        type: string
                      transformationGoal:
                        default: null
                        nullable: true
                        type: object
                        properties:
                          objective:
                            type: string
                            minLength: 1
                          targetEndState:
                            type: string
                            minLength: 1
                          expectedBenefits:
                            minItems: 1
                            type: array
                            items:
                              type: object
                              properties:
                                statement:
                                  type: string
                                  minLength: 1
                                basis:
                                  type: string
                                  enum:
                                    - evidenced
                                    - estimate
                                assumption:
                                  nullable: true
                                  type: string
                                dataToFirmUp:
                                  nullable: true
                                  type: string
                              required:
                                - statement
                                - basis
                                - assumption
                                - dataToFirmUp
                              additionalProperties: false
                        required:
                          - objective
                          - targetEndState
                          - expectedBenefits
                        additionalProperties: false
                      generatedAt:
                        type: string
                      designPrinciples:
                        default:
                          - title: Operating model updated
                            description: >-
                              Review the Executive View and Target Model for the
                              current operating model.
                        minItems: 1
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              minLength: 1
                            description:
                              type: string
                              minLength: 1
                          required:
                            - title
                            - description
                          additionalProperties: false
                    required:
                      - executiveSummary
                      - valueStreams
                      - organizationAndGovernance
                      - peopleAndSkills
                      - technologyDataAndAI
                      - humanAiExecutionModel
                      - transformationRoadmap
                      - transformationPriorities
                      - erpTransformationInsights
                      - objectionsAndChangeManagement
                      - businessCase
                      - transformationGoal
                      - generatedAt
                      - designPrinciples
                    additionalProperties: false
                  generatedAt:
                    nullable: true
                    type: string
                  processCount:
                    type: number
                  completedProcessCount:
                    type: number
                  generationProgress:
                    nullable: true
                    type: object
                    properties:
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            label:
                              type: string
                            status:
                              type: string
                              enum:
                                - pending
                                - in_progress
                                - complete
                            order:
                              type: number
                            count:
                              type: number
                          required:
                            - key
                            - label
                            - status
                            - order
                          additionalProperties: false
                    required:
                      - steps
                    additionalProperties: false
                  processLinks:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        version:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - id
                        - name
                        - version
                      additionalProperties: false
                required:
                  - id
                  - status
                  - generationError
                  - analysis
                  - generatedAt
                  - processCount
                  - completedProcessCount
                  - generationProgress
                  - processLinks
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication. Get your API key from the Duvo dashboard.

````